%global pypi_name monotonic

Name:           python-%{pypi_name}
Version:        0.6
Release:        %mkrel 1
Group:          Development/Python
Summary:        An implementation of time.monotonic() for Python 2 & < 3.3
License:        ASLv2
URL:            https://github.com/atdt/monotonic
Source0:        http://pypi.python.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
This module provides a monotonic() function which returns the value (in
fractional seconds) of a clock which never goes backwards.

%package -n     python3-%{pypi_name}
Summary:        An implementation of time.monotonic() for Python 2 & < 3.3
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
This module provides a monotonic() function which returns the value (in
fractional seconds) of a clock which never goes backwards.

This is the Python 3 version of the package.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%{python2_sitelib}/*

%files -n python3-%{pypi_name}
%{python3_sitelib}/*


%changelog
* Sun Jan 24 2016 daviddavid <daviddavid> 0.6-1.mga6
+ Revision: 927027
- new version: 0.6

* Wed Oct 14 2015 daviddavid <daviddavid> 0.3-2.mga6
+ Revision: 891098
- add python3 package
- use new python macros

* Tue Sep 01 2015 fwang <fwang> 0.3-1.mga6
+ Revision: 871862
- imported package python-monotonic

